install_package() {
    echo "Installing package '$1' via pip3"
    pip3 install "$1"
    if [ $? -eq 0 ]; then
       echo "Successfully installed pip3 package '$1'"
    else
       echo "Could not install pip3 package '$1'"
       exit 1
    fi
}

install_package "smbus"
install_package "requests"
install_package "python-logstash-async"